Class | RSS::ImageItemModel::Item
In: | rss/image.rb
Parent: | Element

### Methods

full_name height= image_height= image_width= new required_prefix required_uri to_s width=

### Included Modules

RSS10 DublinCoreModel

### External Aliases

image_width= | -> | _image_width=
image_height= | -> | _image_height=
image_width | -> | width
image_height | -> | height

### Public Class methods

new(about=nil, resource=nil)

[Source]

    # File rss/image.rb, line 60
          def initialize(about=nil, resource=nil)
            super()
            @about = about
            @resource = resource
          end

required_prefix()

[Source]

    # File rss/image.rb, line 38
            def required_prefix
              IMAGE_PREFIX
            end

required_uri()

[Source]

    # File rss/image.rb, line 42
            def required_uri
              IMAGE_URI
            end

### Public Instance methods

full_name()

[Source]

    # File rss/image.rb, line 66
          def full_name
            tag_name_with_prefix(IMAGE_PREFIX)
          end

height=(new_value)

Alias for image_height=

image_height=(new_value)

[Source]

    # File rss/image.rb, line 90
          def image_height=(new_value)
            if @do_validate
              self._image_height = Integer(new_value)
            else
              self._image_height = new_value.to_i
            end
          end

image_width=(new_value)

[Source]

    # File rss/image.rb, line 81
          def image_width=(new_value)
            if @do_validate
              self._image_width = Integer(new_value)
            else
              self._image_width = new_value.to_i
            end
          end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/image.rb, line 70
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent) do |next_indent|
              [
                other_element(false, next_indent),
              ]
            end
            rv = convert(rv) if need_convert
            rv
          end

width=(new_value)

Alias for image_width=

[Validate]